﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.RadTileView1.ItemsSource = Enumerable.Range(0, 4);
		}

		private void RadTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.OriginalSource as RadTileViewItem;
			if (item != null)
			{
				//RadFluidContentControl fluidControl = item.Content as RadFluidContentControl;
				RadFluidContentControl fluidControl = item.ChildrenOfType<RadFluidContentControl>().FirstOrDefault();

				if (fluidControl != null)
				{
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							fluidControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							fluidControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							fluidControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}
		}

		private void secondTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.OriginalSource as RadTileViewItem;
			if (item != null)
			{
				RadFluidContentControl fluidControl = item.Content as RadFluidContentControl;

				if (fluidControl != null)
				{
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							fluidControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							fluidControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							fluidControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}
		}
	}
}
